Skip to main content
PATCH
/
v1
/
tables
/
{table_id}
Update Table
curl --request PATCH \
  --url https://api.retab.com/v1/tables/{table_id} \
  --header 'Api-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "metadata": {}
}
'
{
  "tables": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.retab.com/llms.txt

Use this file to discover all available pages before exploring further.

Update table name or metadata. This does not mutate rows, columns, cells, or the backing CSV contents.
Python
tables = client.tables.update_table(table_id="workflow_table_123", name="Carriers")
TypeScript
const tables = await client.tables.update_table("workflow_table_123", {
  name: "Carriers",
});
Go
name := "Carriers"
tables, err := client.Tables.Update(ctx, "workflow_table_123", &retab.TablesUpdateParams{Name: &name})
Java
// Update table metadata with the Retab Java client.
cURL
curl -X PATCH https://api.retab.com/v1/tables/workflow_table_123 \
  -H "Api-Key: $RETAB_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"Carriers"}'

Authorizations

Api-Key
string
header
required

Path Parameters

table_id
string
required

Body

application/json
name
string | null
metadata
Metadata · object

Response

Successful Response

tables
WorkflowTable · object[]